QGIS Application - Bug report #16579
Date widget: current date can't be picked
2017-05-19 02:47 PM - Andreas Neumann

Status: Closed

Priority: Low

Assignee: Denis Rouzaud

Category: Edit widget

Affected QGIS version:2.18.7 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24481
Description

If one uses a date widget and wants to pick the current day (which is initially highlighted) one cannot pick the marked date.

In order to pick the current date, one has to first pick a different day, then the date picker closes, and then one can pick the current day.

Seems like there is an event problem with the high-lighted day in the date picker.

Associated revisions

Revision 577¢6674 - 2018-01-02 01:09 AM - Denis Rouzaud

[date widget] fix current date can't be picked

fix #16579

History

#1 - 2017-05-19 02:53 PM - Andreas Neumann
- Category changed from Forms to Edit widget

#2 - 2017-05-22 03:32 PM - Arnaud Poncet-Montanges

This is a bug also valid on 2.14.

#3 - 2017-12-27 09:53 PM - Denis Rouzaud
- Assignee changed from Matthias Kuhn to Denis Rouzaud
- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/5956

#4 - 2018-01-02 01:09 AM - Denis Rouzaud
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|577c667413ff1739f47d0e2641ac6c928db1b0e5.
https://github.com/qgis/QGIS/pull/5956

#5 - 2018-02-22 11:13 AM - Giovanni Manghi
- Resolution set to fixed/implemented
